import request from '@/utils/request'

// 查询资产借出列表
export function listAssetLend(query) {
  return request({
    url: '/change/assetLend/list',
    method: 'get',
    params: query
  })
}

// 查询资产借出详细
export function getAssetLend(id) {
  return request({
    url: '/change/assetLend/' + id,
    method: 'get'
  })
}

// 新增资产借出
export function addAssetLend(data) {
  return request({
    url: '/change/assetLend',
    method: 'post',
    data: data
  })
}

// 修改资产借出
export function updateAssetLend(data) {
  return request({
    url: '/change/assetLend',
    method: 'put',
    data: data
  })
}

// 删除资产借出
export function delAssetLend(id) {
  return request({
    url: '/change/assetLend/' + id,
    method: 'delete'
  })
}
